package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ResourceStatePO;
import mhp.oee.po.gen.ResourceStatePOExample;

public interface ResourceStatePOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_state
     *
     * @mbggenerated
     */
    int countByExample(ResourceStatePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_state
     *
     * @mbggenerated
     */
    int deleteByExample(ResourceStatePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_state
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_state
     *
     * @mbggenerated
     */
    int insert(ResourceStatePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_state
     *
     * @mbggenerated
     */
    int insertSelective(ResourceStatePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_state
     *
     * @mbggenerated
     */
    List<ResourceStatePO> selectByExample(ResourceStatePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_state
     *
     * @mbggenerated
     */
    ResourceStatePO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_state
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ResourceStatePO record, @Param("example") ResourceStatePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_state
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ResourceStatePO record, @Param("example") ResourceStatePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_state
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ResourceStatePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_state
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ResourceStatePO record);
}